clear
clc
close all

vel=0:0.1:20;
for acc=-2:2:2
    N=size(vel,2);
    Emis=NaN(1,N);
    for i=1:N
        Emis(i)=VTmicro(vel(i),acc,1);
    end
    hold on;
    plot(0:0.1:(N-1)/10, Emis, 'linewidth', 1.5);
    xlabel('velocity(m/s)');
    ylabel('CO_2(kg/m)');
    ylim([0 0.03]);
%     legend('acc=-2m/s^2','acc=0m/s^2','acc=2m/s^2')
    title(['CO_2 emission profile for different accelaration']);
end